Skip to main content

Upload CSV file

POST 

/v2/patients/batch-upload

Example:

curl --request POST
--url https://api.app.zentake.com/v2/patients/batch-upload
--header 'Content-Type: multipart/form-data'
--header 'X-API-KEY: <your_api_key>'
--header 'X-API-SECRET: <your_api_secret>'
--form 'file=@/path/to/file.csv'

Expected CSV File Format:

The uploaded file should be a CSV with the following headers:

First Name and Last Name are required from patient and emergency contact if provided.

first_name,middle_name,last_name,email,phone_number,home_phone_number,work_phone_number,date_birth,sex_at_birth,provider,address,address2,city,state,zipcode,elation_id,open_dental_id,athena_id,chirotouch_id,emergency_first_name,emergency_last_name,emergency_phone_number,emergency_relationship,emergency_address,emergency_address2,emergency_city,emergency_state,emergency_zipcode

Example Row:

first_name,middle_name,last_name,email,phone_number,home_phone_number,work_phone_number,date_birth,sex_at_birth,provider,address,address2,city,state,zipcode,elation_id,open_dental_id,athena_id,chirotouch_id,emergency_first_name,emergency_last_name,emergency_phone_number,emergency_relationship,emergency_address,emergency_address2,emergency_city,emergency_state,emergency_zipcode
John,Middle,Doe,john.doe@email.com,1234567890,1234567890,1234567890,1990-01-10,Male,123,123 Main St,Apt 123,New York,NY,10001,123,,Jane,Doe,1234567890,Spouse,123 Main St,Apt 123,New York,NY,10001
Jane,Middle,Doe,,,,,,,,,,,,,
first_name,last_name,date_birth
John,Doe,1990-01-10
Jane,Doe,1990-01-10

Request

Responses